Json::StaticString Class Reference

Lightweight wrapper to tag static string. More...

`#include <json.h>`

## Public Member Functions

| StaticString (const char *czstring)
| operator const char * () const
const char * | c_str () const

## Detailed Description

Lightweight wrapper to tag static string.

Value constructor and objectValue member assignement takes advantage of the StaticString and avoid the cost of string duplication when storing the string or the member name.

Example of usage:

Json::Value aValue( StaticString("some text") );
Json::Value object;
static const StaticString code("code");
object[code] = 1234;

The documentation for this class was generated from the following file:

- json.h